Robotsystem from Robot Group Leipzig: MeshObstacle Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# MeshObstacle Class Reference

`#include <meshobstacle.h>`

Inheritance diagram for MeshObstacle:

[legend]
Collaboration diagram for MeshObstacle:

[legend]
List of all members.

## Detailed Description

Definition at line 41 of file meshobstacle.h.

## Public Member Functions
| MeshObstacle (const OdeHandle &odeHandle, const OsgHandle &osgHandle, std::string filename, double scale=1)
virtual void | update ()
| updates the position of the geoms ( not nessary for static objects)
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()
| gives actual pose of the obstacle
## Protected Member Functions
virtual void | create ()
virtual void | destroy ()
## Protected Attributes
std::string | filename
float | scale
OSGMesh * | mesh
Sphere * | bound
BoundingShape * | boundshape
bool | obstacle_exists

## Constructor & Destructor Documentation

MeshObstacle | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | std::string | filename,
|  | double | scale = `1`
| ) | `[inline]`

| Definition at line 54 of file meshobstacle.h.

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 85 of file meshobstacle.h.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 105 of file meshobstacle.h.

virtual osg::Matrix getPose | ( |  | ) | `[inline, virtual]`

| gives actual pose of the obstacle Implements AbstractObstacle. Definition at line 80 of file meshobstacle.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implements AbstractObstacle. Definition at line 72 of file meshobstacle.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| updates the position of the geoms ( not nessary for static objects) Implements AbstractObstacle. Definition at line 68 of file meshobstacle.h.

## Member Data Documentation

Sphere* bound`[protected]`

| Definition at line 48 of file meshobstacle.h.

BoundingShape* boundshape`[protected]`

| Definition at line 49 of file meshobstacle.h.

std::string filename`[protected]`

| Definition at line 45 of file meshobstacle.h.

OSGMesh* mesh`[protected]`

| Definition at line 47 of file meshobstacle.h.

bool obstacle_exists`[protected]`

| Definition at line 50 of file meshobstacle.h.

float scale`[protected]`

| Definition at line 46 of file meshobstacle.h.